IRB Rocks!

# Hack your code

Installing troubled gems in Mac OS X

Sometimes, installing a gem in Mac OS can be a hard work. I fought with dependencies and compilers, and those are the solutions I found:

Nokogiri

brew install libxml2 libxslt libiconv
brew link libxml2 libxslt libiconv
xcode-select --install
gem install nokogiri -- --use-system-libraries

Libv8

gem install libv8 -- --with-system-v8

Reference: StackOverflow

EventMachine, TheRubyRacer, Puma...

brew link --force openssl

Reference: Github

gem share .gem